Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
userwithaddress.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZUserMain", "Language" )
| $SelectCountry = $ini->variable( "eZUserMain", "SelectCountry" )
| $SelectRegion = $ini->variable( "eZUserMain", "SelectRegion" )
| $AnonymousUserGroup = $ini->variable( "eZUserMain", "AnonymousUserGroup" )
| $ForceSSL = $ini->variable( "eZUserMain", "ForceSSL" )
| $AutoCookieLogin = eZHTTPTool::getVar( "AutoCookieLogin" )
| $session =& eZSession::globalSession()
| $user =& eZUser::currentUser()
if(( $ForceSSL=="enabled")) elseif( $ForceSSL=="disabled") | $VerifyPassword = eZHTTPTool::getVar( "VerifyPassword" )
| $Password = eZHTTPTool::getVar( "Password" )
| $Email = eZHTTPTool::getVar( "Email" )
| $Login = eZHTTPTool::getVar( "Login" )
| $FirstName = eZHTTPTool::getVar( "FirstName" )
| $LastName = eZHTTPTool::getVar( "LastName" )
| $t
if( $AutoCookieLogin=="on") if(isset($NoAddress) && $NoAddress==true) | else
| $user_insert = false
| $Signature = ''
| $error = false
| $nameCheck = true
| $emailCheck = true
| $firstNameCheck = true
| $lastNameCheck = true
| $loginCheck = true
| $passwordCheck = true
| $street1Check = true
| $street2Check = false
| $zipCheck = true
| $placeCheck = true
| $addressCheck = true
| $realAddressID = array()
| $RealAddressID = array()
if(isset( $NewAddress)) if((isset( $OK) or isset( $OK_x)) and $error==false) | $info_array = array()
| $cookieCheck = ""
else | $InfoSubscription = ""
| $deleted = false
for( $i=0; $i< count( $AddressID);++$i) if( $deleted) | $checkArray = array_diff( $AddressID, $DeleteAddressArrayID )

## Variable Documentation

## ◆ $addressCheck

$addressCheck = true

Definition at line 219 of file userwithaddress.php.

## ◆ $AnonymousUserGroup

$AnonymousUserGroup = $ini->variable( "eZUserMain", "AnonymousUserGroup" )

Definition at line 39 of file userwithaddress.php.

## ◆ $AutoCookieLogin

$AutoCookieLogin = eZHTTPTool::getVar( "AutoCookieLogin" )

Definition at line 41 of file userwithaddress.php.

## ◆ $checkArray

for ($i=0;$i< count($AddressID);++ $i) if ($deleted) $checkArray = array_diff( $AddressID, $DeleteAddressArrayID )

Definition at line 823 of file userwithaddress.php.

Referenced by eZBulkMail\setOffset().

## ◆ $cookieCheck

$cookieCheck = ""

Definition at line 606 of file userwithaddress.php.

## ◆ $deleted

$deleted = false

Definition at line 794 of file userwithaddress.php.

## ◆ $Email

$Email = eZHTTPTool::getVar( "Email" )

Definition at line 78 of file userwithaddress.php.

## ◆ $emailCheck

$emailCheck = true

Definition at line 210 of file userwithaddress.php.

## ◆ $error

$error = false

Definition at line 208 of file userwithaddress.php.

## ◆ $FirstName

$FirstName = eZHTTPTool::getVar( "FirstName" )

Definition at line 80 of file userwithaddress.php.

## ◆ $firstNameCheck

$firstNameCheck = true

Definition at line 211 of file userwithaddress.php.

## ◆ $ForceSSL

$ForceSSL = $ini->variable( "eZUserMain", "ForceSSL" )

Definition at line 40 of file userwithaddress.php.

## ◆ $info_array

if (isset($NewAddress)) if ((isset($OK) or isset($OK_x)) and $error==false) $info_array = array()

Definition at line 589 of file userwithaddress.php.

## ◆ $InfoSubscription

else $InfoSubscription = ""

Definition at line 778 of file userwithaddress.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 35 of file userwithaddress.php.

## ◆ $Language

$Language = $ini->variable( "eZUserMain", "Language" )

Definition at line 36 of file userwithaddress.php.

## ◆ $LastName

$LastName = eZHTTPTool::getVar( "LastName" )

Definition at line 81 of file userwithaddress.php.

## ◆ $lastNameCheck

$lastNameCheck = true

Definition at line 212 of file userwithaddress.php.

## ◆ $Login

$Login = eZHTTPTool::getVar( "Login" )

Definition at line 79 of file userwithaddress.php.

## ◆ $loginCheck

$loginCheck = true

Definition at line 213 of file userwithaddress.php.

## ◆ $nameCheck

$nameCheck = true

Definition at line 209 of file userwithaddress.php.

## ◆ $Password

$Password = eZHTTPTool::getVar( "Password" )

Definition at line 77 of file userwithaddress.php.

## ◆ $passwordCheck

$passwordCheck = true

Definition at line 214 of file userwithaddress.php.

## ◆ $placeCheck

$placeCheck = true

Definition at line 218 of file userwithaddress.php.

## ◆ $realAddressID

$realAddressID = array()

Definition at line 220 of file userwithaddress.php.

## ◆ $RealAddressID

$RealAddressID = array()

Definition at line 221 of file userwithaddress.php.

## ◆ $SelectCountry

$SelectCountry = $ini->variable( "eZUserMain", "SelectCountry" )

Definition at line 37 of file userwithaddress.php.

## ◆ $SelectRegion

$SelectRegion = $ini->variable( "eZUserMain", "SelectRegion" )

Definition at line 38 of file userwithaddress.php.

## ◆ $session

$session =& eZSession::globalSession()

Definition at line 43 of file userwithaddress.php.

## ◆ $Signature

$Signature = ''

Definition at line 206 of file userwithaddress.php.

## ◆ $street1Check

$street1Check = true

Definition at line 215 of file userwithaddress.php.

## ◆ $street2Check

$street2Check = false

Definition at line 216 of file userwithaddress.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezuser/user/" . $ini->variable( "eZUserMain", "TemplateDir" ),
"kernel/ezuser/user/intl/", $Language, "userwithaddress.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: userwithaddress.php:36
$ini
$ini
Definition: userwithaddress.php:35

Definition at line 83 of file userwithaddress.php.

## ◆ $user

$user =& eZUser::currentUser()

Definition at line 51 of file userwithaddress.php.

## ◆ $user_insert

$user_insert = false

Definition at line 205 of file userwithaddress.php.

## ◆ $VerifyPassword

$VerifyPassword = eZHTTPTool::getVar( "VerifyPassword" )

Definition at line 76 of file userwithaddress.php.

## ◆ $zipCheck

$zipCheck = true

Definition at line 217 of file userwithaddress.php.

## ◆ else

if (isset($RedirectURL)) else

Initial value:
{
$t->set_var( "no_address", "" )
$t
$t
Definition: userwithaddress.php:83

Definition at line 180 of file userwithaddress.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.